文档章节

Android环境搭建遭遇Unsupported major.minor version 52.0

语博兄
 语博兄
发布于 2016/07/21 14:00
字数 434
阅读 832
收藏 0

首先,个人在windows 10下配置Android的开发环境。由于之前在开发Java web,所以安装了eclipse,MyEclipse,jdk 1.7 等。由于希望开发 android 5.1,早在之前也有开发过Android,所以按着套路来。 老的套路是 eclipse + sdk + adt,由于去看了下google的android首页,看着android studio比较受推荐而且看起来很好用的样子(广告语:用更少的代码写更多的代码),所以准备同时安装 android studio尝试一下。 国内有很多站点可以下载android studio,如果去官网下载可能需要科学上网。而我很科学地上网了,下载速度几乎为0,则转到国内站点下载非latest版本,这里需要提到一点,最新版需要jdk1.8。 当我安装好sdk后,将其路径配置在android studio和eclipse下面,都先后出现了com/android/dx/command/Main : Unsupported major.minor version 52.0问题,所以我觉得极有可能是sdk的包选择有问题,而不是网上流传的换成jdk1.8l来解决,毕竟我这里都是新建项目,而且android studio 也没有jdk的限制。终于,可以说到重点了,在google 用英文搜索:输入链接说明 SO上面看到了这个问答: sthe top answer 将其我的情况恰好与之类似,在sdk manager里面下载一个 build-tools 23的版本,然后在file->project structure->app->build-tools下选择下载的版本即可。

© 著作权归作者所有

共有 人打赏支持
语博兄
粉丝 1
博文 53
码字总数 22168
作品 0
东城
程序员
项目在Intellij idea 2.5能运行,但Intellij idea 3不能运行

原来在Intellij idea 2.5里能正常运行的项目,到Intellij idea 3 公开预览版这个版本里怎么就不能正常运行了呢?报jdk版本过低的错,这是怎么回事? Error:Internal error: (java.lang.Unsup...

GKing
2016/10/27
261
2
Unsupported major.minor version

这种错误先效验一下自己的版本是否对应,如果版本对应正确就是JDK版本过低需升级对应版本; 48,49,50, 51 , 52是Java编译器内部的版本号: Unsupported major.minor version 52.0 对应于 JD...

cheves
2016/05/06
18
0
Android Studio:Failed to load the LayoutLib

最近在做demo,升级了一下SDK 7.0,发现预览布局文件的时候,发现提示错误 Failed to load the LayoutLib: com/android/layoutlib/bridge/Bridge : Unsupported major.minor version 52.0 查...

u010635353
2016/10/09
0
0
Android Studio 教程

新建工程后出现:Error:Java.lang.UnsupportedClassVersionError:com/android/dx/command/Main : Unsupported major.minor version 52.0 异常 解决办法: http://blog.csdn.net/yxhuang2008/ar......

xu_yanfeng
2016/10/29
18
0
Tomcat Unsupported major.minor version 52.0错误

Unsupported major.minor version 52.0: 看到Unsupported你是不是会想到jdk高版本能兼容低版本,但是低版本不能兼容高版本,不错,猜对了,其实就是这个意思。这个错误意思是你项目用JDK1.8运...

潜心笃志
03/08
0
0

没有更多内容

加载失败,请刷新页面

加载更多

你为什么在Redis里读到了本应过期的数据

一个事故的故事 晚上睡的正香突然被电话吵醒,对面是开发焦急的声音:我们的程序在访问redis的时候读到了本应过期的key导致整个业务逻辑出了问题,需要马上解决。 看到这里你可能会想:这是不...

IT--小哥
今天
2
0
祝大家节日快乐,阖家幸福! centos GnuTLS 漏洞

yum update -y gnutls 修复了GnuTLS 漏洞。更新到最新 gnutls.x86_64 0:2.12.23-22.el6 版本

yizhichao
昨天
5
0
Scrapy 1.5.0之选择器

构造选择器 Scrapy选择器是通过文本(Text)或 TextResponse 对象构造的 Selector 类的实例。 它根据输入类型自动选择最佳的解析规则(XML vs HTML): >>> from scrapy.selector import Sele...

Eappo_Geng
昨天
4
0
Windows下Git多账号配置,同一电脑多个ssh-key的管理

Windows下Git多账号配置,同一电脑多个ssh-key的管理   这一篇文章是对上一篇文章《Git-TortoiseGit完整配置流程》的拓展,所以需要对上一篇文章有所了解,当然直接往下看也可以,其中也有...

morpheusWB
昨天
5
0
中秋快乐!!!

HiBlock
昨天
3
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部